config-package-dev (5.5.1) unstable; urgency=medium

  * Team Upload.
  * Add test dependency on build-essential (Closes: #1108856).

 -- Alexander Chernyakhovsky <achernya@mit.edu>  Sun, 06 Jul 2025 12:25:03 -0400

config-package-dev (5.5) unstable; urgency=medium

  * Add Rules-Requires-Root: no to base package and examples, which
    should fix ci.debian.net tests.
  * Add Multi-Arch: foreign, which allows apt to resolve
    config-package-dev as a cross-build-dependency. Thanks to @mrksngl
    on GitHub for the patch.
  * Also add Multi-Arch: foreign to the examples, as this is right for most
    users of config-package-dev (just as Architecture: all is right for most
    users of config-package-dev).
  * displace.sh: Rename (un)displace_link_displace to
    (un)displace_link_divert (Debathena: #1362)
  * Switch to machine-readable debian/copyright.
  * Ensure installed examples are not compressed, so you can copy them
    and build them directly.

 -- Geoffrey Thomas <geofft@mit.edu>  Sat, 27 Jan 2018 18:29:36 -0500

config-package-dev (5.4) unstable; urgency=medium

  * Add a basic autopkgtest to make sure the examples build.
  * Move packaging to GitHub, and add the .travis.yml from
    http://travis.debian.net/ to run autopkgtests on each push.
  * examples/*: Bump debian/compat to 9 (no changes) and
    Standards-Version to 4.1.0 (change priority to "optional").

 -- Geoffrey Thomas <geofft@mit.edu>  Wed, 18 Oct 2017 10:14:41 -0400

config-package-dev (5.3) unstable; urgency=high

  * Fix a regression in the change that permitted omission of leading
    slashes, which completely broke transforms (Closes: #873966). Thanks
    to Bruno Maitre for the report and the patch.
  * Fix the paths in the two transform examples to work with the current
    version of lynx.
  * Update Standards-Version to 4.1.0 by changing priority from "extra"
    to "optional".

 -- Geoffrey Thomas <geofft@mit.edu>  Fri, 01 Sep 2017 14:39:35 -0400

config-package-dev (5.2) unstable; urgency=medium

  * Permit debian/$package.displace-extension to omit the leading dot
    (Closes: #760200). Thanks to Dima Kogan for the patch.
  * Allow Debhelper control files to omit leading slashes
    (Closes: #803962).
  * Allow specifying relative paths, within the Debian source package,
    as the source for a transformation, and do not check these files
    against the dpkg database (Closes: #864611). Thanks to Luca Boccassi
    for the patch.
  * Bump Standards-Version to 4.0.0 and Debhelper compat level to v9
    (no changes).
  * debian/control, debian/copyright: Use https in URLs.
  * debian/control: Depend on ${perl:Depends}, which gives us a
    dependency on perl (not just perl-base) for Digest::MD5. Thanks,
    dh_perl!

 -- Geoffrey Thomas <geofft@mit.edu>  Sat, 01 Jul 2017 11:46:18 -0400

config-package-dev (5.1.2) unstable; urgency=low

  * Team upload.
  * Don't hardcode dpkg-divert's path in check-files.mk (Debathena: #1358)

 -- Jonathan Reed <jdreed@mit.edu>  Wed, 22 May 2013 08:27:04 -0400

config-package-dev (5.1.1) unstable; urgency=low

  * Team upload.
  * No-change rebuild to remove stray symlinks and build detritus from the
    upload (Closes: #705214)

 -- Jonathan Reed <jdreed@mit.edu>  Fri, 12 Apr 2013 17:59:30 -0400

config-package-dev (5.1) unstable; urgency=low

  [ Team Upload ]
  * Support the abort-remove invocation of postinst
  * Add the transformed file, not its source, to the list of files to displace

 -- Alexander Chernyakhovsky <achernya@mit.edu>  Mon, 08 Apr 2013 15:12:32 -0400

config-package-dev (5.0) unstable; urgency=low

  * Add Debhelper support (Debathena: #867) (Closes: #693672).  This
    release includes a new command, dh_configpackage, and a sequencer
    extension, dh --with config-package.
  * Use the terms "displace" and "hide" for actions of the
    config-package-dev system, instead of the terms "divert" and
    "remove", which already have existing (related) meanings in the
    context of Debian packages.
  * Move examples/* to examples/cdbs/*, and create examples/debhelper/*,
    with the same packages using Debhelper 7-style packaging.

  * Change config-package-dev's own packaging to Debhelper 7.
  * Bump Standards-Version to 3.9.4 (no changes required).
  * Update Vcs-Git and Vcs-Browser locations to new upstream.
  * Drop CDBS runtime dependency. CDBS users should be explicitly
    Build-Depending on CDBS, probably through use of the @cdbs@ macro in
    debian/control.in.

 -- Geoffrey Thomas <geofft@mit.edu>  Wed, 06 Mar 2013 17:14:42 -0800

config-package-dev (4.14) unstable; urgency=low

  [ Anders Kaseorg ]
  * Reverse prerm and postrm maintainer script fragments when DH_COMPAT ≥
    6, not 5, to actually match debhelper’s behavior.

  [ Geoffrey Thomas ]
  * Update debathena-transform-example-1.0 to an example more likely to
    work on modern systems.
  * Fix a bug that would erroneously remove DEB_TRANSFORM_EXTENSION from
    an explicitly-specified DEB_TRANSFORM_FILES_SOURCE.
  * Fix some typos and misleading documentation.  In particular, fix
    build-dependencies and runtime dependencies of the examples.
  * Remove an unnecessary parameter passed to undivert_unlink_divert in
    divert.sh (Debathena: #1061).
  * Undivert when a package is unconfigured, in addition to when it is
    removed (partially addresses Debathena #388).
  * Add self to uploaders, and change maintainer to the Debathena
    project mailing list.

 -- Geoffrey Thomas <geofft@mit.edu>  Tue, 25 Sep 2012 13:24:06 -0400

config-package-dev (4.13) unstable; urgency=low

  * Fix DEB_CHECK_FILES and DEB_TRANSFORM_FILES with non-conffiles in
    Multi-Arch: same packages.
  * Fix encode script to work with Perl 5.12.  While we’re at it, turn on
    strict and warnings.
  * Set LC_ALL=C when matching potentially localized dpkg output.
  * Bump Standards-Version to 3.9.2 (no changes required).
  * Add Vcs-Git, Vcs-Browser.

 -- Anders Kaseorg <andersk@mit.edu>  Tue, 25 Oct 2011 20:26:50 -0400

config-package-dev (4.12) unstable; urgency=low

  [ Tim Abbott ]
  * Allow specifying DEB_TRANSFORM_SCRIPT_$package_$file in case you want
    multiple binary packages transforming the same file differently.
    (Thanks to Evan Broder for this patch).
  * Add a decode script for undoing the file to virtual package name
    transformation. (Thanks to Patrick Hurst for writing decode).

  [ Anders Kaseorg ]
  * Fix a quoting bug that failed to disallow transformation of generated
    conffiles.  (Patch from Evan Broder.)
  * Remove DEB_UNDIVERT_VERSION_file and DEB_UNREMOVE_VERSION_file, and
    instead test for the undiverted file in the postinst.  (Patch from
    Evan Broder.)
  * Write the prerm and postrm maintainer script fragments in reverse
    order when DH_COMPAT ≥ 5, to match debhelper’s behavior.
  * Bump debhelper compatibility level to 6.
  * Bump Standards-Version to 3.9.1 (no changes required).

 -- Anders Kaseorg <andersk@mit.edu>  Sat, 05 Feb 2011 21:37:05 -0500

config-package-dev (4.11) unstable; urgency=low

  * Fix marking transform scripts as executable when
    DEB_TRANSFORM_SCRIPT_package is used.

 -- Tim Abbott <tabbott@mit.edu>  Sat, 05 Sep 2009 11:46:54 -0400

config-package-dev (4.10) unstable; urgency=low

  * Mark transform scripts as executable before attempting to execute them
    (Closes: #528995).

 -- Tim Abbott <tabbott@mit.edu>  Sun, 02 Aug 2009 19:48:33 -0400

config-package-dev (4.9) unstable; urgency=low

  [ Tim Abbott ]
  * Fix destdir handling for multiple binary packages in
    DEB_TRANSFORM_FILES (Closes: #510355).
  * Add Anders Kaseorg to Uploaders.

  [ Anders Kaseorg ]
  * Use set -e in multi-statement Makefile commands.

 -- Tim Abbott <tabbott@mit.edu>  Wed, 31 Dec 2008 16:39:44 -0500

config-package-dev (4.8) unstable; urgency=low

  * Add additional documentation to the makefile fragments
  * Add doc/ directory with pointer to online documentation
  * Add examples/ directory (Closes: #486130).
  * Rename configures- to diverts- as the prefix for the virtual packages
    that cause packages diverting the same file to conflict, since that is
    clearer.

 -- Tim Abbott <tabbott@mit.edu>  Sun, 13 Jul 2008 01:54:48 -0400

config-package-dev (4.7) unstable; urgency=low

  * Move homepage field to source package section, so it works.
  * Make DEB_TRANSFROM_FILES targets depend on common-build-arch and
    common-build-indep, so it works with architecture-dependent packages.
  * Remove useless clean code from transform-files.mk.
  * Move divert.mk from binary-fixup to binary-post-install.
  * Add debhelper.mk to divert.mk, since we use its
    binary-post-install/package target.
  * Change maintainer to me, rather than debathena@mit.edu, since I'll be
    maintaining config-package-dev in Debian.
  * Upload to Debian (Closes: #469107)

 -- Tim Abbott <tabbott@mit.edu>  Sat, 03 May 2008 13:37:12 -0400

config-package-dev (4.6) unstable; urgency=low

  * Remove DEB_AUTO_UPDATE_DEBIAN_CONTROL so it can be uploaded to Debian.
  * Add me as uploader.
  * move homepage to homepage field.

 -- Tim Abbott <tabbott@mit.edu>  Wed, 23 Apr 2008 17:08:15 -0400

config-package-dev (4.5) unstable; urgency=low

  * Rename DEB_REPLACE_FILES to DEB_TRANSFORM_FILES
  * Create new config-package.mk as the outward-facing makefile fragment.
  * Replace DEB_{UNREMOVE,UNDIVERT}_FILES_VERSION_file with
    DEB_$1_VERSION_file

 -- Tim Abbott <tabbott@mit.edu>  Mon, 21 Apr 2008 18:39:40 -0400

config-package-dev (4.4.1) unstable; urgency=low

  * Version bump, since 4.4~ << 4.4 causes build failures on Debathena.

 -- Tim Abbott <tabbott@mit.edu>  Mon, 21 Apr 2008 17:51:02 -0400

config-package-dev (4.4) unstable; urgency=low

  * Add new DEB_REMOVE_FILES_$package variable designed for removing
    files in .d directories.
  * Move the "configure-" in the filename encoding from the encode script
    to divert.mk, so that we can re-use the encoder for DEB_REMOVE_FILES.
  * Add new DEB_UNDIVERT_FILES_package and DEB_UNREMOVE_FILES_package
    API variables for having a new version of the package stop diverting a
    file.
  * Correct check for not generating an empty if clause when no files are
    being diverted.
  * Remove only the last DEB_DIVERT_EXTENSION from filenames.

 -- Tim Abbott <tabbott@mit.edu>  Sat, 19 Apr 2008 21:03:02 -0400

config-package-dev (4.3) unstable; urgency=low

  * Fix bug where DEB_DIVERT code gets added twice if a package uses both
    DEB_DIVERT_FILES and DEB_REPLACE_FILES.

 -- Tim Abbott <tabbott@mit.edu>  Sun,  6 Apr 2008 19:41:45 -0400

config-package-dev (4.2) unstable; urgency=low

  * Rename DEB_REPLACE_FILES_SOURCE to DEB_CHECK_FILES_SOURCE, and
    move it to check-files.mk, since it really is a check-files.mk
    feature.
  * Make check-files.mk include divert.mk.
  * Don't directly include divert.mk in replace-files.mk.

 -- Tim Abbott <tabbott@mit.edu>  Sun, 17 Feb 2008 23:01:08 -0500

config-package-dev (4.1) unstable; urgency=low

  * Rename various API variables to make interface cleaner.
  * Rename variables involving DEBIAN to DEB in variable names.
  * Rename CONFFILES to FILES in variable names.
  * Rename divert:Diverted to divert:Files
  * Replace DEB_CONFFILE_DEST with DEB_REPLACE_FILES_SOURCE, changing the
    source rather than the destination.
  * Rename replace-conffiles.mk and check-conffiles.mk to *-files.mk.
  * Add support for multiple files with same basename to replace_files.mk
    via the DEB_TRANSFORM_SCRIPT variable.
  * Remove deprecated check-files interface.
  * Rename DEB_DIVERT_SUFFIX to DEB_DIVERT_EXTENSION.

 -- Tim Abbott <tabbott@mit.edu>  Mon,  4 Feb 2008 02:07:16 -0500

config-package-dev (4.0) unstable; urgency=low

  * Rename variables to be appropriate for non-MIT sites.

 -- Tim Abbott <tabbott@mit.edu>  Thu, 31 Jan 2008 15:15:20 -0500

debathena-config-build-common (3.6) unstable; urgency=low

  * Add new debathena-replace-conffiles.mk, a more user-friendly wrapper
    for debathena-check-conffiles.mk and debathena-divert.mk.
  * Change debathena-check-conffiles.mk to allow checking md5sums of
    packaged files which are not marked as configuration files
    (e.g. /etc/adduser/adduser.conf).
  * Change debathena-divert.mk to not set DEBATHENA_DIVERT_SUFFIX unless
    it is not already set.
  * Change debathena-divert.mk to support adding Provides: and Conflicts:
    lines for each diverted configuration file.
  * Change debathena-divert.mk to divert everything in
    DEBATHENA_REPLACE_CONFFILES.

 -- Tim Abbott <tabbott@mit.edu>  Wed, 30 Jan 2008 20:03:36 -0500

debathena-config-build-common (3.5) unstable; urgency=low

  * Change check-conffiles interface to make it work properly with 
    dpkg-diverted files.

 -- Anders Kaseorg <andersk@mit.edu>  Mon, 13 Aug 2007 17:59:43 -0400

debathena-config-build-common (3.4) unstable; urgency=low

  * Need [ -e ] || [ -L ] to check for existence, instead of just [ -e ].

 -- Anders Kaseorg <andersk@mit.edu>  Mon, 06 Aug 2007 06:57:18 -0400

debathena-config-build-common (3.3) unstable; urgency=low

  * Add check-conffiles script.

 -- Anders Kaseorg <andersk@mit.edu>  Fri, 03 Aug 2007 17:50:20 -0400

debathena-config-build-common (3.2) unstable; urgency=low

  * Add debconf-hack script.

 -- Anders Kaseorg <andersk@mit.edu>  Tue, 24 Jul 2007 20:41:13 -0400

debathena-config-build-common (3.1) unstable; urgency=low

  * Divert with the current package name, not the empty string.
  * Add this package as an automatic build dependency of anything that 
    uses it.

 -- Anders Kaseorg <andersk@mit.edu>  Wed, 18 Jul 2007 01:13:40 -0400

debathena-config-build-common (3.0debathena1) unstable; urgency=low

  * Fix divert script version.

 -- Anders Kaseorg <andersk@mit.edu>  Fri, 13 Jul 2007 15:57:19 -0400

debathena-config-build-common (3.0) unstable; urgency=low

  * Initial release.

 -- Anders Kaseorg <andersk@mit.edu>  Fri, 06 Jul 2007 19:30:41 -0400
